# TODO
# - verify-elf: WARNING: ./usr/lib/lilypond/2.11.0/python/midi.so: undefined symbol: PyDict_SetItemString
# - docs


%define ver_major 2.11
%define ver_minor 0

Name: lilypond
Version: %ver_major.%ver_minor
Release: alt2

Group: Publishing
Summary: A program for printing sheet music
License: GPL
Url: http://www.lilypond.org
Packager: Ilya Mashkin <oddity at altlinux.ru>

Source: ftp://ftp.%name.org/pub/LilyPond/%ver_major/%name-%version.tar.gz
# russian lirycs example (rulix)
Source1: russian-lirycs-test.ly

Requires(post): %install_info
Requires(preun): %uninstall_info

PreReq: ghostscript >= 8.15

BuildPreReq: mftrace >= 1.1.19
BuildPreReq: fontforge >= 20060125
BuildPreReq: guile-devel >= 1.6.7

# Automatically added by buildreq on Wed Dec 06 2006 (-bi)
BuildRequires: emacs-common flex fonts-type1-urw gcc-c++ ghostscript-module-X guile-devel libfreetype-devel libltdl-devel libpango-devel mftrace python-dev python-modules-encodings tetex-xdvi fontforge

%description
LilyPond is a music typesetter. It produces beautiful sheet music using
a high level description file as input. Lilypond is part of the GNU
project. This package contains the utilities for converting the music
source (.ly) files into printable output.

%package doc
Summary: LilyPond documentation, examples and Mutopia files
Group: Publishing
Conflicts: %name < %version-%release

%description doc
The documentation of LilyPond, both in HTML and PostScript, along with
example input files and the files from the Mutopia project. At present a
part of this documentation may be broken. See http://lilypond.org for
full.

%package -n emacs-mode-%name
Summary: Major mode for editing GNU LilyPond music scores 
Group: Editors
Requires: %name = %version-%release emacs TiMidity++ gv tetex-xdvi

%description -n emacs-mode-%name
emacs-mode-%name provides syntax coloring, inserting tags,
PS-compilation, PS-viewing and MIDI-play.

All Emacs Lisp code is byte-copmpiled, install emacs-mode-%name-el for sources.

%package -n emacs-mode-%name-el
Summary: The Emacs Lisp sources for bytecode included in emacs-mode-%name
Group: Development/Other
Requires: %name = %version-%release

%description -n emacs-mode-%name-el
emacs-mode-%name-el contains the Emacs Lisp sources for the bytecode
included in the emacs-mode-%name package, that extends the Emacs editor.

You need to install emacs-mode-%name-el only if you intend to modify any of the
emacs-mode-%name code or see some Lisp examples.

#%%define _texmf %(kpsetool -v '$TEXMF'| %__sed -e "s/\!*//")
%define _texmf %_datadir/texmf
%define _emacs_startscriptsdir %_sysconfdir/emacs/site-start.d
%define __emacsbin %_bindir/emacs
%define _lily_dir %_datadir/%name/%version

%prep
%setup -q
subst 's|package_infodir = $(infodir)/$(package)|package_infodir = $(infodir)|' config.make.in

%build
%configure \
	--with-ncsb-dir=/usr/share/fonts/type1/urw \
	--enable-relocation \
	--enable-documentation \
# TODO: where is it?
#	--enable-gui

%make_build
#%make_build webdir=%_docdir/%name-%version web

%install
%make_install DESTDIR=%buildroot install
#%make_install web-install out=www

# Move TeX dependent files into system TeX tree locations
# 30092007: hack for tfm:
%__mkdir_p %buildroot%_lily_dir/fonts/tfm
mv mf/out/*.tfm %buildroot%_lily_dir/fonts/tfm/

for i in otf source svg tfm type1; do
	%__mkdir_p %buildroot%_texmf/fonts/$i/
	mv %buildroot%_lily_dir/fonts/$i %buildroot%_texmf/fonts/$i/%name
	ln -s %_texmf/fonts/$i/%name %buildroot%_lily_dir/fonts/$i
done

%__mkdir_p %buildroot%_texmf/tex/%name
%__mv %buildroot%_lily_dir/tex/* %buildroot%_texmf/tex/%name/

# Create documentation tree in %_docdir
#%__mkdir_p %buildroot%_docdir/%name-%version/Printable
#%__ln_s ../Documentation/user/out-www/lilypond.ps.gz %buildroot%_docdir/%name-%version/Printable/Manual.ps.gz
#%__ln_s ../Documentation/user/out-www/music-glossary.ps.gz %buildroot%_docdir/%name-%version/Printable/Glossary.ps.gz

# install russian-lirycs-test.ly
%__install -m644 %SOURCE1 .

# Install Emacs-mode files 
%__mkdir_p %buildroot/%_emacs_startscriptsdir
%__mv %buildroot%_emacslispdir/%name-init.el %buildroot%_emacs_startscriptsdir/

# temporary hack to compile emacs-mode files 
%__emacsbin -batch -f batch-byte-compile %buildroot%_emacslispdir/%{name}*.el

%find_lang %name

%post
touch /tmp/.%name-install
find /var/lib/texmf -name 'feta*pk' -or -name 'feta*tfm' -or -name 'parmesan*pk' -or -name 'parmesan*tfm' -print0|
xargs -r0 %__rm -f -- /tmp/.lilypond-install

%install_info %name.info %name-internals.info music-glossary.info
%_bindir/mktexlsr ||:
%update_scrollkeeper

%preun
%uninstall_info %name.info %name-internals.info music-glossary.info

%postun
%_bindir/mktexlsr ||:
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_libdir/%name
%_datadir/%name
%_texmf/tex/%name
%_texmf/fonts/*/%name
%_infodir/*
%_man1dir/*
%doc *.txt COPYING ChangeLog DEDICATION ROADMAP THANKS
%doc russian-lirycs-test.ly

%files -n emacs-mode-%name
%config(noreplace) %_emacs_startscriptsdir/%name-init.el
%_emacslispdir/%{name}*.elc

%files -n emacs-mode-%name-el
%_emacslispdir/%{name}*.el

%files doc
#%%_docdir/%name-%version/*.html
#%%_docdir/%name-%version/input
#%%_docdir/%name-%version/Documentation
#%%_docdir/%name-%version/Printable
%_datadir/omf/*

%changelog
* Sun Mar 02 2008 Ilya Mashkin <oddity@altlinux.ru> 2.11.0-alt2
- rebuild 2.11.0 with python 2.5.1

* Mon Dec 04 2006 Ildar Mulyukov <ildar@altlinux.ru> 2.11.0-alt1
- 2.11.0, packager change
- removed patches
- tear off russian patches, updated russian-lirycs-test.ly
- removed shell initscripts - not needed now
- fixed info files/layouts
- docs building disabled

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.0-alt0.7.1
- Rebuilt with libstdc++.so.6.

* Fri Aug 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt0.7
- fixed %%install.

* Mon Jun 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt0.6
- fixed russian lirycs support (close #4450). Thanks to Ruslan Gordeev.
  See /usr/share/doc/lilypond-%version/russian-lirycs-test.ly for example.

* Wed Apr 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt0.5
- 2.2.0

* Thu Feb 26 2004 Dmitry V. Levin <ldv@altlinux.org> 2.0.1-alt0.5.1
- Fixed ghostscript dependencies.
- Removed libintl-devel dependencies.

* Sun Dec 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt0.5
- 2.0.1

* Thu Sep 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt0.5
- 2.0.0

* Wed Jul 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.11-alt0.5
- 1.6.11

* Wed Mar 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.8-alt0.5
- 1.6.8

* Sat Dec 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.6-alt0.2
- Rebuild with new TeX.

* Wed Oct 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.6-alt0.1
- 1.6.6

* Tue May 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4.13-alt1
- 1.4.13 

* Thu Apr 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4.12-alt3
- rebuild with new autotrace

* Tue Mar 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4.12-alt2
- emacs-mode-%%{name}* packages.
- new buildrequires

* Sun Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4.12-alt1
- 1.4.12
- stepmake patch removed, not needed more.
- makedocs patch. (fix building docs with python2.2)

* Fri Jan 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4.9-alt2
- Cleanups

* Fri Nov 30 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.4.9-alt1
- Updated to 1.4.9

* Thu Nov 16 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.4.8-alt3
- Spec cleanup.

* Thu Nov 15 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.4.8-alt2
- configure with --datadir=%_datadir/%name

* Tue Nov 13 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.4.8-alt1
- First build for Sisyphus
